Summary:       A Python module providing bindings for the cairo graphics library
Name:          pycairo
Version:       1.24.0
Release:       3%{?dist}
License:       MPLv1.1 or LGPLv2
URL:           http://cairographics.org/pycairo
Source0:       https://github.com/pygobject/pycairo/releases/download/v%{version}/pycairo-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: cairo-devel pkgconfig python3-devel python3-pytest python3-setuptools

%description
Pycairo is a Python module providing bindings for the cairo graphics
library. It depends on cairo >= 1.15.10 and works with Python 3.7+.

%package -n python3-cairo
Summary: Provide python3 support for the cairo graphics library.

%description -n python3-cairo
A Python module providing bindings for the cairo graphics library

%package -n python3-cairo-devel
Summary:  Provide libraries and headers for py3cairo
Requires: python3-cairo = %{version}-%{release}
Requires: python3-devel

%description -n python3-cairo-devel
This package provides files for the use of building wrappers for
cairo add-on libraries in order to interoperate with py3cairo.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-cairo
%license COPYING*
%{python3_sitearch}/cairo/
%{python3_sitearch}/pycairo*.egg-info

%files -n python3-cairo-devel
%dir %{_includedir}/pycairo
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 07 2023 Miaojun Dong <zoedong@tencent.com> - 1.24.0-1
- Bump version to 1.24.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 09 2022 ZoeDong <zoedong@tencent.com> - 1.21.0-1
- Initial build

